package com.miya;

public class WsClientException extends Exception{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int errID;
	private String errMessage;
	
	public WsClientException(int error, String message){
		this(error, message, null);
	}
	
	public WsClientException(int error, String message, Throwable cause){
		super("ErrorID:"+error+",Message:"+message, cause);
		
		this.setErrID(error);
		this.setErrMessage(message);
	}

	public void setErrID(int errID) {
		this.errID = errID;
	}

	public int getErrID() {
		return errID;
	}

	public void setErrMessage(String errMessage) {
		this.errMessage = errMessage;
	}

	public String getErrMessage() {
		return errMessage;
	}
}