package com.miya;

public class MacEcbUtils {  
 //1^1字节异或
    public static byte byteXOR(byte src, byte src1) {  
        return (byte) ((src & 0xFF) ^ (src1 & 0xFF));  
    }  
  //8^8字节异或加密
    public static byte[] bytesXOR(byte[] src, byte[] src1) {  
        int length = src.length;  
        if (length != src1.length) {  
            return null;  
        }  
        byte[] result = new byte[length];  
        for (int i = 0; i < length; i++) {  
            result[i] = byteXOR(src[i], src1[i]);  
        }  
        return result;  
    }  
   //报文体加密
    public static byte[] clacMac(byte[] Input) throws Exception { 
    	//打印报文体
    	//printHexString(Input);
        int length = Input.length;  
        int x = length % 8;  
        int addLen = 0;  
        //按整取后8字节,不足补0
        if (x != 0) {  
            addLen = 8 - length % 8;  
        }  
        int pos = 0;  
        byte[] data = new byte[length + addLen];  
        //打印补0后报文体
        //printHexString(Input);
        //赋值给data
        System.arraycopy(Input, 0, data, 0, length); 
        //取data中前8位作为首要异或数据
        byte[] oper1 = new byte[8];  
        System.arraycopy(data, pos, oper1, 0, 8);  
        pos += 8;  
        //从第二个8字节开始异或运算
        for (int i = 1; i < data.length / 8; i++) { 
        	//取下一个8字节
            byte[] oper2 = new byte[8];  
            System.arraycopy(data, pos, oper2, 0, 8);
            //异或后的值为t
            byte[] t = bytesXOR(oper1, oper2);  
            oper1 = t; 
            //改变循环条件进入下一步循环
            pos += 8;  
        }  
        //打印最后8字节数据
       // printHexString(oper1);
        //这里是否需要一次加密未知******************************待确认
         //byte[] buff = DesUtils.encrypt(oper1);  
        // 取8个长度字节  
        byte[] retBuf = new byte[8];  
        System.arraycopy(oper1, 0, retBuf, 0, 8);
        //返回取到的最8字节终异或结果
        return retBuf;  
    }  
  //将指定byte数组以16进制的形式打印到控制台
    public static String printHexString( byte[] b) {  
    	String hexx="";
       for (int i = 0; i < b.length; i++) { 
    	 //字节转16进制
         String hex = Integer.toHexString(b[i] & 0xFF); 
         if (hex.length() == 1) { 
           hex = '0' + hex; 
         } 
         //转大写
         hexx=hexx+hex.toUpperCase(); 
       } 
       //打印mac值
       // System.out.println("mac="+hexx);
       //返回mac值
       return hexx;
    }
 


}  


