package com.miya;

import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;
public class TcpUtil {
	/*
	 * -401 ~ -420
	 */
	public static int bufferSize =800*1024;
 
	
	public static byte[] send(String ip, int port, byte[] data,int timeout){
		Socket socket = null;
		InputStream iStream = null;
		OutputStream oStream = null;
		byte[] bytes = null;
		int step = 0;
		try {
			socket = new Socket(ip, port);
			socket.setSoTimeout(timeout*1000);
			
			oStream = socket.getOutputStream();
			oStream.write(data);
			oStream.flush();
			step++;
			
			//receive
			iStream = socket.getInputStream();
//			System.out.println(iStream);
			byte[] buffer = new byte[bufferSize];
			int len = iStream.read(buffer);
//			System.out.println(len);
			if(len <= 0){
				return null;
			}
			bytes = new byte[len];
			
			System.arraycopy(buffer, 0, bytes, 0, len);
		}
		 
		catch (Exception e) {
			//e.printStackTrace();
		} finally {
			try {
				iStream.close();
				oStream.close();
				socket.close();
			} catch (Exception e) {
			}
		}
		
		return bytes;
	}
}
